<?php

namespace App\Policies;

use App\Models\Admin;
use Illuminate\Auth\Access\HandlesAuthorization;
use Spatie\Permission\Models\Permission;

class PermissionManagementPolicy
{
    use HandlesAuthorization;

    public function viewAny(Admin $admin): bool
    {
        return $admin->hasPermissionTo('view permission management');
    }

    public function view(Admin $admin, Permission $permission): bool
    {
        return $admin->hasPermissionTo('view permission management');
    }

    // İzinler genellikle kod tarafında tanımlandığı için
    // create, update, delete işlemleri yapılmayacak
    // Sadece görüntüleme yetkisi yeterli
}
